Bug 1272485 - Difference in multilib ppc64 and ppc in case of intltool translation
Summary: Difference in multilib ppc64 and ppc in case of intltool translation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-16 14:06 UTC by Radka Skvarilova
Modified: 2019-08-06 12:43 UTC (History)
4 users (show)

Fixed In Version: systemd-219-64.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:43:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2091 None None None 2019-08-06 12:43:49 UTC

Description Radka Skvarilova 2015-10-16 14:06:56 UTC
Description of problem:
Rpmdiff tool for systemd sometimes show difference in file on ppc64 and ppc :
 /usr/share/polkit-1/actions/org.freedesktop.login1.policy 

The reason is probably caused by intltool (https://bugzilla.redhat.com/show_bug.cgi?id=1249051).


Version-Release number of selected component (if applicable):
 systemd 219-16.el7 and 219-13.el7



Steps to Reproduce:
1. diff between ppc64 and ppc in
 /usr/share/polkit-1/actions/org.freedesktop.login1.policy
2.
3.

Actual results:
--- /usr/share/polkit-1/actions/org.freedesktop.login1.policy on ppc64	2015-09-23 07:47:55.345585259 -0400
+++ /usr/share/polkit-1/actions/org.freedesktop.login1.policy on ppc	2015-09-23 07:45:43.382059638 -0400
@@ -8,27 +8,7 @@
 
         <action id="org.freedesktop.login1.inhibit-block-shutdown">
                 <description>Allow applications to inhibit system shutdown</description>
-                <description xml:lang="de">Anwendungen dürfen das Herunterfahren des Systems unterbinden</description>
-                <description xml:lang="el">Να επιτρέπεται στις εφαρμογές να αποτρέπουν τον τερματισμό του συστήματος</description>
-                <description xml:lang="fr">Permet aux applications d'empêcher l'arrêt du système</description>
-                <description xml:lang="hu">Alkalmazások meggátolhatják a rendszer leállítását</description>
-                <description xml:lang="it">Consenti alle applicazioni di inibire lo spegnimento del sistema</description>
-                <description xml:lang="pl">Zezwolenie programom na wstrzymywanie wyłączenia systemu</description>
-                <description xml:lang="pt_BR">Permitir que aplicativos inibam o desligamento do sistema</description>
-                <description xml:lang="ru">Разрешить приложениям устанавливать блокировку на выключение системы</description>
-                <description xml:lang="sv">Tillåt program att hindra systemavstängning</description>
-                <description xml:lang="uk">Дозволити програмам перешкоджати вимкненню системи</description>
                 <message>Authentication is required for an application to inhibit system shutdown.</message>
-                <message xml:lang="de">Legitimierung ist notwendig, um Anwendungen das Herunterfahren des Systems zu erlauben.</message>
-                <message xml:lang="el">Απαιτείται πιστοποίηση για να επιτρέπεται σε μια εφαρμογή να αποτρέψει τον τερματισμό του συστήματος.</message>
-                <message xml:lang="fr">Authentification requise pour permettre à une application d'empêcher l'arrêt du système.</message>
-                <message xml:lang="hu">Hitelesítés szükséges egy alkalmazás számára a rendszerleállítás meggátlásához.</message>
-                <message xml:lang="it">Autenticazione richiesta per un'applicazione per inibire lo spegnimento del sistema.</message>
-                <message xml:lang="pl">Program wymaga uwierzytelnienia, aby wstrzymać wyłączenie systemu.</message>
-                <message xml:lang="pt_BR">É necessária autenticação para que um aplicativo iniba o desligamento do sistema.</message>
-                <message xml:lang="ru">Чтобы разрешить приложениям устанавливать блокировку на выключение системы, необходимо пройти аутентификацию.</message>
-                <message xml:lang="sv">Autentisering krävs för att tillåta ett program att hindra systemavstängning.</message>
-                <message xml:lang="uk">Засвідчення потрібно, щоб дозволити програмам перешкоджати вимкненню системи.</message>
                 <defaults>
                         <allow_any>no</allow_any>
                         <allow_inactive>yes</allow_inactive>
@@ -39,27 +19,7 @@
 
         <action id="org.freedesktop.login1.inhibit-delay-shutdown">
                 <description>Allow applications to delay system shutdown</description>
-                <description xml:lang="de">Anwendungen dürfen das Herunterfahren des Systems verzögern</description>
-                <description xml:lang="el">Να επιτρέπεται στις εφαρμογές να καθυστερούν τον τερματισμό του συστήματος</description>
-                <description xml:lang="fr">Permet aux applications de retarder l'arrêt du système</description>
-                <description xml:lang="hu">Alkalmazások késleltethetik a rendszer leállítását</description>
-                <description xml:lang="it">Consenti alle applicazioni di ritardare lo spegnimento del sistema</description>
-                <description xml:lang="pl">Zezwolenie programom na opóźnienie wyłączenia systemu</description>
-                <description xml:lang="pt_BR">Permitir que aplicativos atrasem o desligamento do sistema</description>
-                <description xml:lang="ru">Разрешить приложениям устанавливать задержку на выключение системы</description>
-                <description xml:lang="sv">Tillåt program att fördröja systemavstängning</description>
-                <description xml:lang="uk">Дозволити програмам затримувати вимкнення системи</description>
                 <message>Authentication is required for an application to delay system shutdown.</message>
-                <message xml:lang="de">Legitimierung ist notwendig, um Anwendungen das Verzögern des Herunterfahren des Systems zu erlauben.</message>
-                <message xml:lang="el">Απαιτείται πιστοποίηση για να επιτρέπεται σε μια εφαρμογή να καθυστερήσει τον τερματισμό του συστήματος.</message>
-                <message xml:lang="fr">Authentification requise pour permettre à une application de retarder l'arrêt du système.</message>
-                <message xml:lang="hu">Hitelesítés szükséges egy alkalmazás számára a rendszerleállítás késleltetéséhez.</message>
-                <message xml:lang="it">Autenticazione richiesta per un'applicazione per ritardare lo spegnimento del sistema.</message>
-                <message xml:lang="pl">Program wymaga uwierzytelnienia, aby opóźnić wyłączenie systemu.</message>
-                <message xml:lang="pt_BR">É necessária autenticação para que um aplicativo atrase o desligamento do sistema.</message>
-                <message xml:lang="ru">Чтобы разрешить приложениям устанавливать задержку на выключение системы, необходимо пройти аутентификацию.</message>
-                <message xml:lang="sv">Autentisering krävs för att tillåta ett program att fördröja systemavstängning.</message>
-                <message xml:lang="uk">Засвідчення потрібно, щоб дозволити програмам затримувати вимкнення системи.</message>
                 <defaults>
                         <allow_any>yes</allow_any>
                         <allow_inactive>yes</allow_inactive>
@@ -70,27 +30,7 @@
 
         <action id="org.freedesktop.login1.inhibit-block-sleep">
                 <description>Allow applications to inhibit system sleep</description>
-                <description xml:lang="de">Anwendungen dürfen den Bereitschaftsmodus unterbinden</description>
-                <description xml:lang="el">Να επιτρέπεται στις εφαρμογές να αποτρέπουν την ύπνωση του συστήματος</description>
-                <description xml:lang="fr">Permet aux applications d'empêcher la mise en veille du système</description>
-                <description xml:lang="hu">Alkalmazások meggátolhatják a rendszer altatását</description>
-                <description xml:lang="it">Consenti alle applicazioni di inibire il sistema in pausa</description>
-                <description xml:lang="pl">Zezwolenie programom na wstrzymanie uśpienia systemu</description>
-                <description xml:lang="pt_BR">Permitir que aplicativos inibam a suspensão do sistema</description>
-                <description xml:lang="ru">Разрешить приложениям устанавливать блокировку на засыпание системы</description>
-                <description xml:lang="sv">Tillåt program att hindra system att försättas i viloläge</description>
-                <description xml:lang="uk">Дозволити програмам перешкоджати засинанню системи</description>
                 <message>Authentication is required for an application to inhibit system sleep.</message>
-                <message xml:lang="de">Legitimierung ist erforderlich, um Anwendungen das Unterbinden des Bereitschaftsmodus zu erlauben.</message>
-                <message xml:lang="el">Απαιτείται πιστοποίηση για να επιτρέπεται σε μια εφαρμογή να αποτρέψει την ύπνωση του συστήματος.</message>
-                <message xml:lang="fr">Authentification requise pour permettre à une application d'empêcher la mise en veille du système.</message>
-                <message xml:lang="hu">Hitelesítés szükséges egy alkalmazás számára a rendszeraltatás meggátlásához.</message>
-                <message xml:lang="it">Autenticazione richiesta per un'applicazione per inibire il sistema in pausa.</message>
-                <message xml:lang="pl">Program wymaga uwierzytelnienia, aby wstrzymać uśpienie systemu.</message>
-                <message xml:lang="pt_BR">É necessária autenticação para que um aplicativo iniba a suspensão do sistema.</message>
-                <message xml:lang="ru">Чтобы разрешить приложениям устанавливать блокировку на засыпание системы, необходимо пройти аутентификацию.</message>
-                <message xml:lang="sv">Autentisering krävs för att tillåta ett program att hindra ett system att försättas i viloläge.</message>
-                <message xml:lang="uk">Засвідчення по[0xD1](truncated)

Expected results:
no difference

Additional info:
https://github.com/systemd/systemd/pull/1576

Comment 3 David Tardon 2019-01-15 18:28:10 UTC
If I understand the referenced intltool bug correctly, this is caused by intltool-merge's write to po/.intltool-merge-cache not being atomic. We can easily workaround that by building the localized .policy files in a separate step before the main (parallel) "make".

Addition to Makefile.am:
l10n: $(nodist_polkitpolicy_DATA)

Addition to systemd.spec:
make l10n

Comment 4 Jan Synacek 2019-01-18 10:43:02 UTC
It if works every time, I'm all for it. Writing the intltool patch was a massive headache and I don't really feel like attempting it again, this time with a new version of gettext. Plus, a small simple patch is better that a big and complicated one, especially in RHEL-7.

Comment 7 Lukáš Nykrýn 2019-02-18 14:20:58 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/282 -> post

Comment 11 errata-xmlrpc 2019-08-06 12:43:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2091


Note You need to log in before you can comment on or make changes to this bug.